LibreOffice: XHierarchicalNameContainer Interface Reference

LibreOffice LibreOffice 5.1 SDK API Reference

Public Member Functions | List of all members
XHierarchicalNameContainer Interface Referencepublished

Insertion and removal of hierarchical elements. More...

`import"XHierarchicalNameContainer.idl";`

Inheritance diagram for XHierarchicalNameContainer:

## Public Member Functions
void | insertByHierarchicalName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException, com::sun::star::lang::WrappedTargetException )
| inserts the element at the specified name. More...
void | removeByHierarchicalName ([in] string Name) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| removes the element at the specified name. More...
Public Member Functions inherited from XHierarchicalNameReplace
void | replaceByHierarchicalName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| replaces the element at the specified name. More...
Public Member Functions inherited from XHierarchicalNameAccess
any | getByHierarchicalName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException )
boolean | hasByHierarchicalName ([in] string aName)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Insertion and removal of hierarchical elements.

## Member Function Documentation

## § insertByHierarchicalName()

void insertByHierarchicalName | ( | [in] string | aName,
|  | [in] any | aElement
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::container::ElementExistException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

inserts the element at the specified name.

## § removeByHierarchicalName()

void removeByHierarchicalName | ( | [in] string | Name | ) |
raises | ( | com::sun::star::container::NoSuchElementException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

removes the element at the specified name.

The documentation for this interface was generated from the following file:

- com/sun/star/container/XHierarchicalNameContainer.idl